{% extends 'content_base.html.twig' %}

{% block title %}Read: {{ article.title }}{% endblock %}

{% block content_body %}
    <div class="row">
        <div class="col-sm-12">
            <img class="show-article-img" src="{{ asset(article.imagePath) }}">
            <div class="show-article-title-container d-inline-block pl-3 align-middle">
                <span class="show-article-title ">{{ article.title }}</span>
                <br>
                <span class="align-left article-details"><img class="article-author-img rounded-circle" src="{{ asset('images/alien-profile.png') }}"> {{ article.author }} </span>
                <span class="pl-2 article-details">
                                {{ article.publishedAt ? article.publishedAt|ago : 'unpublished' }}
                            </span>
                <span class="pl-2 article-details">
                                <span class="js-like-article-count">{{ article.heartCount }}</span>
                                <a href="{{ path('article_toggle_heart', {slug: article.slug}) }}" class="fa fa-heart-o like-article js-like-article"></a>
                            </span>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-sm-12">
            <div class="article-text">
                {{ article.content|cached_markdown }}
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-sm-12">
            <p class="share-icons mb-5"><span class="pr-1">Share:</span> <i class="pr-1 fa fa-facebook-square"></i><i class="pr-1 fa fa-twitter-square"></i><i class="pr-1 fa fa-reddit-square"></i><i class="pr-1 fa fa-share-alt-square"></i></p>
        </div>
    </div>
    <div class="row">
        <div class="col-sm-12">
            <h3><i class="pr-3 fa fa-comment"></i>{{ article.nonDeletedComments|length }} Comments</h3>
            <hr>

            <div class="row mb-5">
                <div class="col-sm-12">
                    <img class="comment-img rounded-circle" src="{{ asset('images/astronaut-profile.png') }}">
                    <div class="comment-container d-inline-block pl-3 align-top">
                        <span class="commenter-name">Amy Oort</span>
                        <div class="form-group">
                            <textarea class="form-control comment-form" id="articleText" rows="1"></textarea>
                        </div>
                        <button type="submit" class="btn btn-info">Comment</button>
                    </div>
                </div>
            </div>

            {% for comment in article.nonDeletedComments %}
                <div class="row">
                    <div class="col-sm-12">
                        <img class="comment-img rounded-circle" src="{{ asset('images/alien-profile.png') }}">
                        <div class="comment-container d-inline-block pl-3 align-top">
                            <span class="commenter-name">{{ comment.authorName }}</span>
                            <small>about {{ comment.createdAt|ago }}</small>
                            {% if comment.isDeleted %}
                                <span class="fa fa-close"></span> deleted
                            {% endif %}
                            <br>
                            <span class="comment"> {{ comment.content }}</span>
                            <p><a href="#">Reply</a></p>
                        </div>
                    </div>
                </div>
            {% endfor %}

        </div>
    </div>

{% endblock %}

{% block javascripts %}
    {{ parent() }}

    <script src="{{ asset('js/article_show.js') }}"></script>
{% endblock %}
